// Switch Process Rutine (Common)
// 2014.06.23 Eleken
// rev_c1815@yahoo.co.jp

#ifndef _YSWITCH_H_
#define _YSWITCH_H_

#define SWITCH_CALL_INTERVAL 100 // in ms
#define SWITCH_LONGPUSH_INTERVAL 500 // in ms
#define LONGPUSH_WEIGHT (SWITCH_LONGPUSH_INTERVAL/SWITCH_CALL_INTERVAL)

void GetSwitchState(const uint8_t curPortState, uint8_t* pSwState);

#define SW_LONG 0x40
#define SW_PUSHING 0x80
#define SW_UNPUSHED 0

#define SW_SW1	1
#define SW_SW2	2
#define SW_SW3	3
#define SW_SW4	4

#define SW_PORT_MASK 0b11111111
#define SW1_PUSHED   0b11111110
#define SW2_PUSHED   0b11111101
#define SW3_PUSHED   0b11111011
#define SW4_PUSHED   0b11110111


#endif
