// Switch Process Rutine
// 2014.06.23 Eleken
// rev_c1815@yahoo.co.jp

// No usage. 

#include "main.h"
#include "YSwitchProc.h"


void GetSwitchState(const uint8_t curPortState, uint8_t* pSwState){
	static uint8_t sw_old;
	static uint8_t longpushCnt;
	static uint8_t s;
	
	
	{ // check switch state
		uint8_t sw = (curPortState & SW_PORT_MASK);
		
		if((sw != SW_PORT_MASK) && 
			(longpushCnt > LONGPUSH_WEIGHT)){ // being long-pushed
			*pSwState = SW_PUSHING | s;
		}else if(sw_old != sw){ // switch state has changed
			if(sw == SW1_PUSHED){//
				s = SW_SW1;
			}
#ifdef SW_SW2
			else if(sw == SW2_PUSHED){//
				s = SW_SW2;
			}
#ifdef SW_SW3
			else if(sw == SW3_PUSHED){//
				s = SW_SW3;
			}
#ifdef SW_SW4
			else if(sw == SW4_PUSHED){//
				s = SW_SW4;
			}
#endif
#endif
#endif
			else if(sw == SW_PORT_MASK){// released
				if(longpushCnt == 0) {
					//sw_state = 0; // too short
				}else if(longpushCnt <= LONGPUSH_WEIGHT) {// < 500ms
					*pSwState = s; // short push
				}else {
					*pSwState = SW_LONG | s; // long push
				}
				s = SW_UNPUSHED;
			}else {
				s = SW_UNPUSHED;
			}
		}
		
		if(sw != SW_PORT_MASK){ // Pushed
			longpushCnt ++;
		}else{
			longpushCnt = 0;
		}
		sw_old = sw;
		
	}
	
	
	return ;
}



